=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-12-14 18:24:14 +0000
+++ CMakeLists.txt	2013-01-18 17:24:20 +0000
@@ -18,48 +18,5 @@
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
-include_directories(
-    ${CMAKE_CURRENT_BINARY_DIR}
-    ${CMAKE_CURRENT_SOURCE_DIR}
-    )
-
-set(MEDIAPLAYER media-player)
-
-set(mediaplayer_HDRS
-    mediaplayer.h)
-
-set(mediaplayer_SRCS
-    mediaplayer.cpp
-    main.cpp)
-
-add_executable(${MEDIAPLAYER}
-    ${mediaplayer_MOC_SRCS}
-    ${mediaplayer_SRCS}
-    )
-
-qt5_use_modules(${MEDIAPLAYER} Qml Quick Multimedia)
-
-target_link_libraries(${MEDIAPLAYER}
-    ${Qt5Qml_LIBRARIES}
-    ${Qt5Quick_LIBRARIES}
-    )
-
-install(TARGETS ${MEDIAPLAYER}
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-    )
-
-file(GLOB QML_JS_FILES *.js *.qml)
-
-set(QML_DIR qml)
-
-install(DIRECTORY ${QML_DIR}
-    DESTINATION ${MEDIAPLAYER_DIR}
-    )
-
-install(FILES data/${MEDIAPLAYER}.desktop
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
-    )
-
-install(FILES data/${MEDIAPLAYER}.svg
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
-    )
+add_subdirectory(data)
+add_subdirectory(src)

=== added file 'data/CMakeLists.txt'
--- data/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ data/CMakeLists.txt	2013-01-18 17:24:20 +0000
@@ -0,0 +1,10 @@
+set(MEDIAPLAYER_DESKTOP_FILE media-player.desktop)
+set(MEDIAPLAYER_APP_ICON media-player.svg)
+
+install(FILES ${MEDIAPLAYER_DESKTOP_FILE}
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
+    )
+
+install(FILES ${MEDIAPLAYER_APP_ICON}.svg
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
+    )

=== added directory 'src'
=== added file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ src/CMakeLists.txt	2013-01-18 17:24:20 +0000
@@ -0,0 +1,36 @@
+set(MEDIAPLAYER media-player)
+
+include_directories(
+    ${CMAKE_BINARY_DIR}
+    )
+
+set(mediaplayer_HDRS
+    mediaplayer.h)
+
+set(mediaplayer_SRCS
+    mediaplayer.cpp
+    main.cpp)
+
+add_executable(${MEDIAPLAYER}
+    ${mediaplayer_MOC_SRCS}
+    ${mediaplayer_SRCS}
+    )
+
+qt5_use_modules(${MEDIAPLAYER} Qml Quick Multimedia)
+
+target_link_libraries(${MEDIAPLAYER}
+    ${Qt5Qml_LIBRARIES}
+    ${Qt5Quick_LIBRARIES}
+    )
+
+install(TARGETS ${MEDIAPLAYER}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    )
+
+file(GLOB QML_JS_FILES *.js *.qml)
+
+set(QML_DIR qml)
+
+install(DIRECTORY ${QML_DIR}
+    DESTINATION ${MEDIAPLAYER_DIR}
+    )

=== renamed file 'main.cpp' => 'src/main.cpp'
=== renamed file 'mediaplayer.cpp' => 'src/mediaplayer.cpp'
=== renamed file 'mediaplayer.h' => 'src/mediaplayer.h'
=== renamed directory 'qml' => 'src/qml'
